# EC by Broker

{% hint style="info" %}
L'API descritta in questa sezione permette di ottenere la lista degli EC e delle loro stazioni afferenti un determinato Partner Tecnologico / Intermediario

Lo swagger è recuperabile al seguente [link](https://developer.pagopa.it/pago-pa/api/elenco-IBAN-stazioni?spec=PT%2C%20EC)
{% endhint %}

## getBrokerInstitutions

> Return the list of Creditor Institutions of a Broker

```json
{"openapi":"3.0.1","info":{"title":"Selfcare Backoffice External for EC","version":"1.12.13"},"servers":[{"url":"https://api.dev.platform.pagopa.it/backoffice/external/ec/v1"}],"security":[{"apiKeyHeader":[]},{"apiKeyQuery":[]}],"components":{"securitySchemes":{"apiKeyHeader":{"type":"apiKey","name":"Ocp-Apim-Subscription-Key","in":"header"},"apiKeyQuery":{"type":"apiKey","name":"subscription-key","in":"query"}},"schemas":{"BrokerInstitutionsResponse":{"required":["creditorInstitutions","pageInfo"],"type":"object","properties":{"creditorInstitutions":{"type":"array","items":{"$ref":"#/components/schemas/BrokerInstitutionResource"},"description":"List of creditor institutions"},"pageInfo":{"$ref":"#/components/schemas/PageInfo"}}},"BrokerInstitutionResource":{"required":["auxDigit","brokerCompanyName","brokerTaxCode","ciStatus","companyName","intermediated","model","stationState","taxCode","version"],"type":"object","properties":{"aca":{"type":"boolean","description":"True if ACA archive will be populated"},"activationDate":{"type":"string","description":"Activation date","format":"date-time"},"applicationCode":{"type":"string","description":"Application code of the relation station-ec (unique per auxdigit)"},"auxDigit":{"type":"string","description":"Aux digit number (0,1,2,3, 0/3)"},"broadcast":{"type":"boolean","description":"True if the station is for broadcast"},"brokerCompanyName":{"type":"string","description":"Broker name"},"brokerTaxCode":{"type":"string","description":"Broker tax code"},"cbillCode":{"type":"string","description":"CBILL code"},"ciStatus":{"type":"boolean","description":"True if the CI is enabled"},"companyName":{"type":"string","description":"Creditor Institution name"},"endpointMU":{"type":"string","description":"Endpoint for Modello Unico"},"endpointRT":{"type":"string","description":"Endpoint for Ricevuta Telematica"},"endpointRedirect":{"type":"string","description":"Endpoint for Redirect"},"intermediated":{"type":"boolean","description":"True if the EC has a broker"},"model":{"type":"integer","description":"Model of the station","format":"int32"},"primitiveVersion":{"type":"integer","description":"Version of the primitive","format":"int32"},"pspPayment":{"type":"boolean","description":"True if allows payments by the psp"},"segregationCode":{"type":"string","description":"Segregation code of the relation station-ec (unique per auxdigit)"},"standIn":{"type":"boolean","description":"True if the debt positions can be paid in Stan In"},"stationId":{"type":"string","description":"Station code"},"stationState":{"type":"string","description":"Station state"},"taxCode":{"type":"string","description":"Creditor Institution tax code"},"version":{"type":"string","description":"Station version"}},"description":"List of creditor institutions"},"PageInfo":{"required":["limit","page","totalElements","totalPages"],"type":"object","properties":{"limit":{"type":"integer","description":"number of elements per page","format":"int32"},"page":{"type":"integer","description":"page number (0 is the first page)","format":"int32"},"totalElements":{"type":"integer","description":"total found elements","format":"int64"},"totalPages":{"type":"integer","description":"total number of pages","format":"int64"}},"description":"Information about the pagination"},"ProblemJson":{"type":"object","properties":{"detail":{"type":"string","description":"A human readable explanation specific to this occurrence of the problem."},"status":{"maximum":600,"minimum":100,"type":"integer","description":"The HTTP status code generated by the origin server for this occurrence of the problem.","format":"int32"},"title":{"type":"string","description":"A short, summary of the problem type. Written in english and readable for engineers (usually not suited for non technical stakeholders and not localized); example: Service Unavailable"}}}}},"paths":{"/brokers/{brokerCode}/creditor_institutions":{"get":{"tags":["External APIs"],"summary":"getBrokerInstitutions","description":"Return the list of Creditor Institutions of a Broker","operationId":"getBrokerInstitutions","parameters":[{"name":"brokerCode","in":"path","description":"Broker Code to use as filter for the retrieved creditor institution list","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"Page number. Page value starts from 0","required":true,"schema":{"minimum":0,"type":"integer","format":"int32"}},{"name":"limit","in":"query","description":"Number of elements on one page. Default = 10","schema":{"maximum":100,"minimum":0,"type":"integer","format":"int32","default":10}},{"name":"X-Request-Id","in":"header","description":"This header identifies the call, if not passed it is self-generated. This ID is returned in the response.","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","headers":{"X-Request-Id":{"description":"This header identifies the call","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BrokerInstitutionsResponse"}}}},"400":{"description":"Bad Request","headers":{"X-Request-Id":{"description":"This header identifies the call","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemJson"}}}},"401":{"description":"Unauthorized","headers":{"X-Request-Id":{"description":"This header identifies the call","schema":{"type":"string"}}}},"403":{"description":"Forbidden","headers":{"X-Request-Id":{"description":"This header identifies the call","schema":{"type":"string"}}}},"404":{"description":"Institutions for the brokerCode not found","headers":{"X-Request-Id":{"description":"This header identifies the call","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemJson"}}}},"429":{"description":"Too many requests","headers":{"X-Request-Id":{"description":"This header identifies the call","schema":{"type":"string"}}}},"500":{"description":"Service unavailable","headers":{"X-Request-Id":{"description":"This header identifies the call","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemJson"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagopa.it/manuale-back-office-pagopa/manuale-bo-pagopa-pt/readme/funzionalita/external-api/ec-by-broker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
